# Reads a CSV file and converts it to XML
# Selina Dennis, 2016

import csv, os
from xml.etree import ElementTree
from xml.etree.ElementTree import Element, SubElement
#
# Description:
# Reads a CSV file and converts it to XML
# Input: name of CSV file (as a string)
# Output: success message (as a string)
def readFromFile( csvFileName ):
    arrContents = []
    fileName = csvFileName[0:-4]

    # Open the CSV 
    with open(csvFileName, "rb") as csvFile:
        csvReader = csv.reader(csvFile, delimiter = ',', quotechar='"')
        root = Element("sms_history")
        # loop through each row of the CSV
        for eachItem in csvReader:
            smsElement = SubElement(root, "sms")
            smsContact_Name = SubElement(smsElement, "contact_name")
            smsContact_Name.text = eachItem[0]
            smsType = SubElement(smsElement, "type")
            smsType.text = eachItem[1]
            smsAddress = SubElement(smsElement, "address")
            smsAddress.text = eachItem[2]
            smsBody = SubElement(smsElement, "body")
            smsBody.text = eachItem[3]
            smsDate = SubElement(smsElement, "date")
            smsDate.text = eachItem[13]
            smsRead = SubElement(smsElement, "read")
            smsRead.text = eachItem[14]
    # Write the created XML tree to a file
    xmlTree = ElementTree.ElementTree(root)
    xmlTree.write(fileName+".xml", encoding="utf-8", xml_declaration=True)
    return csvFileName + " converted."

def readAllFiles():
    # get the directory list of the current folder
    allFiles = os.listdir(".")
    # loop through all of the files
    for eachFile in allFiles:
        # check for the right extension
        if eachFile.endswith( ".csv" ):
            print readFromFile(eachFile)


# Run the code from here
readAllFiles()
